%define upstream_version 1.008

%{?perl_default_filter}

Name:           perl-Business-ISSN
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 1
Group:          Development/Perl
Summary:        Perl library for International Standard Serial Numbers
License:        Artistic 2.0
URL:            https://metacpan.org/release/Business-ISSN
Source0:        https://cpan.metacpan.org/authors/id/B/BR/BRIANDFOY/Business-ISSN-%{upstream_version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(strict)
BuildRequires:  perl(subs)
BuildRequires:  perl(Test::More) >= 1
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Pod::Coverage) >= 1.00
BuildRequires:  perl(Test::Prereq)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)

%description
%{summary}.

%prep
%setup -q -n Business-ISSN-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/%{perl_vendorlib}/*

%check
make test

%files
%license LICENSE
# currently only a placeholder in examples/
%doc Changes README.pod
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Tue Jan 28 2025 daviddavid <daviddavid> 1.8.0-1.mga10
+ Revision: 2143002
- update to 1.008

* Mon Aug 15 2022 neoclust <neoclust> 1.005-1.mga9
+ Revision: 1877678
- New version 1.005

* Fri Nov 26 2021 joequant <joequant> 1.004-1.mga9
+ Revision: 1759270
- imported package perl-Business-ISSN

